# $Revision: 1.25 $, $Date: 2010/08/20 13:00:17 $
%include	/usr/lib/rpm/macros.php
%define		_class		Image
%define		_subclass	Remote
%define		_status		stable

%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - Retrieve information on remote image files
Summary(pl.UTF-8):	%{_pearname} - otrzymywanie informacji o zdalnych rysunkach
Name:		php-pear-%{_pearname}
Version:	1.0.2
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	24bc74bd1a6cccbb4736659e34d04021
URL:		http://pear.php.net/package/Image_Remote/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-12
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class can be used for retrieving size information of remote image
files via HTTP without downloading the whole image.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Dzieki tej klasie można uzyskać informacje o zdalnym obrazku poprzez
HTTP bez ściągania całego rysunku.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Image_Remote.spec,v $
Revision 1.25  2010/08/20 13:00:17  glen
- updated to: 1.0.2

Revision 1.24  2008/01/31 12:17:04  glen
- rel 4

Revision 1.23  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.21  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.20  2006/03/29 22:29:17  glen
- rel 3 (rebuild with less deps)

Revision 1.19  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.18  2005/11/01 20:38:50  glen
- fixed status

Revision 1.17  2005/10/15 14:39:27  glen
- updated to 1.0.1

Revision 1.16  2005/10/05 20:11:14  glen
- rel 4

Revision 1.15  2005/10/03 20:56:07  glen
- uploaded to df fixed package.tgz. see also pear bug #5545

Revision 1.14  2005/09/27 20:54:03  glen
- new pear packaging

Revision 1.13  2004/12/03 22:16:14  adamg
- rebuild with new PEAR provides/requires scripts
- release 3

Revision 1.12  2004/10/29 09:27:53  paladine
- "HTTP" and "HTTPS" unification

Revision 1.11  2004/05/30 13:13:50  adamg
- fixed english information about status of the package

Revision 1.10  2003/10/07 20:55:00  adamg
- do not use macros in URL

Revision 1.9  2003/10/06 14:11:21  adamg
- move package.xml where it should be (I will need that file soon)

Revision 1.8  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.7  2003/06/14 09:23:39  adamg
- cosmetics

Revision 1.6  2003/05/28 08:58:39  adamg
- massive attack: added source0-md5

Revision 1.5  2003/05/25 06:25:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/01/02 23:24:24  blues
- added status info

Revision 1.3  2002/10/14 23:44:07  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.2  2002/09/13 11:51:10  blues
- fix in macros

Revision 1.1  2002/07/21 19:11:55  blues
- initial release - new part of classes
